public static interface HttpEndpointBuilderFactory.HttpEndpointBuilder
extends org.apache.camel.builder.EndpointProducerBuilder
| Modifier and Type | Method and Description |
|---|---|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
advanced() |
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
authDomain(String authDomain)
Authentication domain to use with NTML.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
authenticationPreemptive(boolean authenticationPreemptive)
If this option is true, camel-http sends preemptive basic
authentication to the server.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
authenticationPreemptive(String authenticationPreemptive)
If this option is true, camel-http sends preemptive basic
authentication to the server.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
authHost(String authHost)
Authentication host to use with NTML.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
authMethod(String authMethod)
Authentication methods allowed to use as a comma separated list of
values Basic, Digest or NTLM.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
authMethodPriority(String authMethodPriority)
Which authentication method to prioritize to use, either as Basic,
Digest or NTLM.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
authPassword(String authPassword)
Authentication password.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
authUsername(String authUsername)
Authentication username.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
bridgeEndpoint(boolean bridgeEndpoint)
If the option is true, HttpProducer will ignore the Exchange.HTTP_URI
header, and use the endpoint's URI for request.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
bridgeEndpoint(String bridgeEndpoint)
If the option is true, HttpProducer will ignore the Exchange.HTTP_URI
header, and use the endpoint's URI for request.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
chunked(boolean chunked)
If this option is false the Servlet will disable the HTTP streaming
and set the content-length header on the response.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
chunked(String chunked)
If this option is false the Servlet will disable the HTTP streaming
and set the content-length header on the response.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
clearExpiredCookies(boolean clearExpiredCookies)
Whether to clear expired cookies before sending the HTTP request.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
clearExpiredCookies(String clearExpiredCookies)
Whether to clear expired cookies before sending the HTTP request.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
connectionClose(boolean connectionClose)
Specifies whether a Connection Close header must be added to HTTP
Request.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
connectionClose(String connectionClose)
Specifies whether a Connection Close header must be added to HTTP
Request.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
copyHeaders(boolean copyHeaders)
If this option is true then IN exchange headers will be copied to OUT
exchange headers according to copy strategy.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
copyHeaders(String copyHeaders)
If this option is true then IN exchange headers will be copied to OUT
exchange headers according to copy strategy.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
customHostHeader(String customHostHeader)
To use custom host header for producer.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
disableStreamCache(boolean disableStreamCache)
Determines whether or not the raw input stream from Servlet is cached
or not (Camel will read the stream into a in memory/overflow to file,
Stream caching) cache.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
disableStreamCache(String disableStreamCache)
Determines whether or not the raw input stream from Servlet is cached
or not (Camel will read the stream into a in memory/overflow to file,
Stream caching) cache.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
headerFilterStrategy(org.apache.camel.spi.HeaderFilterStrategy headerFilterStrategy)
To use a custom HeaderFilterStrategy to filter header to and from
Camel message.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
headerFilterStrategy(String headerFilterStrategy)
To use a custom HeaderFilterStrategy to filter header to and from
Camel message.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
httpMethod(HttpEndpointBuilderFactory.HttpMethods httpMethod)
Configure the HTTP method to use.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
httpMethod(String httpMethod)
Configure the HTTP method to use.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
ignoreResponseBody(boolean ignoreResponseBody)
If this option is true, The http producer won't read response body
and cache the input stream.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
ignoreResponseBody(String ignoreResponseBody)
If this option is true, The http producer won't read response body
and cache the input stream.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
lazyStartProducer(boolean lazyStartProducer)
Whether the producer should be started lazy (on the first message).
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
lazyStartProducer(String lazyStartProducer)
Whether the producer should be started lazy (on the first message).
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
preserveHostHeader(boolean preserveHostHeader)
If the option is true, HttpProducer will set the Host header to the
value contained in the current exchange Host header, useful in
reverse proxy applications where you want the Host header received by
the downstream server to reflect the URL called by the upstream
client, this allows applications which use the Host header to
generate accurate URL's for a proxied service.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
preserveHostHeader(String preserveHostHeader)
If the option is true, HttpProducer will set the Host header to the
value contained in the current exchange Host header, useful in
reverse proxy applications where you want the Host header received by
the downstream server to reflect the URL called by the upstream
client, this allows applications which use the Host header to
generate accurate URL's for a proxied service.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyAuthDomain(String proxyAuthDomain)
Proxy authentication domain to use with NTML.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyAuthHost(String proxyAuthHost)
Proxy authentication host.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyAuthMethod(String proxyAuthMethod)
Proxy authentication method to use.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyAuthNtHost(String proxyAuthNtHost)
Proxy authentication domain (workstation name) to use with NTML.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyAuthPassword(String proxyAuthPassword)
Proxy authentication password.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyAuthPort(Integer proxyAuthPort)
Proxy authentication port.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyAuthPort(String proxyAuthPort)
Proxy authentication port.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyAuthScheme(String proxyAuthScheme)
Proxy authentication scheme to use.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyAuthUsername(String proxyAuthUsername)
Proxy authentication username.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyHost(String proxyHost)
Proxy hostname to use.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyPort(int proxyPort)
Proxy port to use.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyPort(String proxyPort)
Proxy port to use.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
sslContextParameters(Object sslContextParameters)
To configure security using SSLContextParameters.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
sslContextParameters(String sslContextParameters)
To configure security using SSLContextParameters.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
throwExceptionOnFailure(boolean throwExceptionOnFailure)
Option to disable throwing the HttpOperationFailedException in case
of failed responses from the remote server.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
throwExceptionOnFailure(String throwExceptionOnFailure)
Option to disable throwing the HttpOperationFailedException in case
of failed responses from the remote server.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
transferException(boolean transferException)
If enabled and an Exchange failed processing on the consumer side,
and if the caused Exception was send back serialized in the response
as a application/x-java-serialized-object content type.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
transferException(String transferException)
If enabled and an Exchange failed processing on the consumer side,
and if the caused Exception was send back serialized in the response
as a application/x-java-serialized-object content type.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
x509HostnameVerifier(Object x509HostnameVerifier)
To use a custom X509HostnameVerifier such as DefaultHostnameVerifier
or NoopHostnameVerifier.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
x509HostnameVerifier(String x509HostnameVerifier)
To use a custom X509HostnameVerifier such as DefaultHostnameVerifier
or NoopHostnameVerifier.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder advanced()
default HttpEndpointBuilderFactory.HttpEndpointBuilder disableStreamCache(boolean disableStreamCache)
disableStreamCache - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder disableStreamCache(String disableStreamCache)
disableStreamCache - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder headerFilterStrategy(org.apache.camel.spi.HeaderFilterStrategy headerFilterStrategy)
headerFilterStrategy - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder headerFilterStrategy(String headerFilterStrategy)
headerFilterStrategy - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder bridgeEndpoint(boolean bridgeEndpoint)
bridgeEndpoint - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder bridgeEndpoint(String bridgeEndpoint)
bridgeEndpoint - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder chunked(boolean chunked)
chunked - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder chunked(String chunked)
chunked - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder clearExpiredCookies(boolean clearExpiredCookies)
clearExpiredCookies - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder clearExpiredCookies(String clearExpiredCookies)
clearExpiredCookies - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder connectionClose(boolean connectionClose)
connectionClose - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder connectionClose(String connectionClose)
connectionClose - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder copyHeaders(boolean copyHeaders)
copyHeaders - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder copyHeaders(String copyHeaders)
copyHeaders - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder customHostHeader(String customHostHeader)
customHostHeader - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder httpMethod(HttpEndpointBuilderFactory.HttpMethods httpMethod)
httpMethod - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder httpMethod(String httpMethod)
httpMethod - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder ignoreResponseBody(boolean ignoreResponseBody)
ignoreResponseBody - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder ignoreResponseBody(String ignoreResponseBody)
ignoreResponseBody - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder lazyStartProducer(boolean lazyStartProducer)
lazyStartProducer - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder lazyStartProducer(String lazyStartProducer)
lazyStartProducer - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder preserveHostHeader(boolean preserveHostHeader)
preserveHostHeader - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder preserveHostHeader(String preserveHostHeader)
preserveHostHeader - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder throwExceptionOnFailure(boolean throwExceptionOnFailure)
throwExceptionOnFailure - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder throwExceptionOnFailure(String throwExceptionOnFailure)
throwExceptionOnFailure - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder transferException(boolean transferException)
transferException - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder transferException(String transferException)
transferException - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyAuthDomain(String proxyAuthDomain)
proxyAuthDomain - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyAuthHost(String proxyAuthHost)
proxyAuthHost - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyAuthMethod(String proxyAuthMethod)
proxyAuthMethod - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyAuthNtHost(String proxyAuthNtHost)
proxyAuthNtHost - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyAuthPassword(String proxyAuthPassword)
proxyAuthPassword - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyAuthPort(Integer proxyAuthPort)
proxyAuthPort - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyAuthPort(String proxyAuthPort)
proxyAuthPort - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyAuthScheme(String proxyAuthScheme)
proxyAuthScheme - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyAuthUsername(String proxyAuthUsername)
proxyAuthUsername - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyHost(String proxyHost)
proxyHost - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyPort(int proxyPort)
proxyPort - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyPort(String proxyPort)
proxyPort - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder authDomain(String authDomain)
authDomain - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder authenticationPreemptive(boolean authenticationPreemptive)
authenticationPreemptive - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder authenticationPreemptive(String authenticationPreemptive)
authenticationPreemptive - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder authHost(String authHost)
authHost - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder authMethod(String authMethod)
authMethod - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder authMethodPriority(String authMethodPriority)
authMethodPriority - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder authPassword(String authPassword)
authPassword - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder authUsername(String authUsername)
authUsername - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder sslContextParameters(Object sslContextParameters)
sslContextParameters - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder sslContextParameters(String sslContextParameters)
sslContextParameters - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder x509HostnameVerifier(Object x509HostnameVerifier)
x509HostnameVerifier - the value to setdefault HttpEndpointBuilderFactory.HttpEndpointBuilder x509HostnameVerifier(String x509HostnameVerifier)
x509HostnameVerifier - the value to setApache Camel